Create a Crypto wallet
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/wallet/crypto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Wallet",
"chain": "eg CELO or ETHEREUM or AVALANCHE or POLYGON"
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/wallet/crypto"
payload = {
"name": "My Wallet",
"chain": "eg CELO or ETHEREUM or AVALANCHE or POLYGON"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Wallet', chain: 'eg CELO or ETHEREUM or AVALANCHE or POLYGON'})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/wallet/crypto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Wallet has been successfully created.",
"data": {
"name": "My Wallet",
"balance": 1000,
"type": "eg crypto or fiat",
"coin": "eg CUSD or USDC or USDT",
"id": "f053188c-d924-4423-bbba-871eda0b1cd9",
"address": "0x1234567890",
"customAddress": "0x1234567890",
"chain": "eg CELO or ETHEREUM or AVALANCHE or POLYGON",
"tokenBalance": [
{
"token": "USDT",
"balance": "1000",
"fiatValue": "1000"
}
],
"fiatBalance": 1000,
"fiatCurrency": "USD"
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}Crypto Wallets
Create Crypto Wallet
The crypto wallet will contain the specified chain and coins an integrator desires to hold and one can create as many wallets as needed.
POST
/
api
/
v3
/
wallet
/
crypto
Create a Crypto wallet
Create a crypto wallet to hold specified blockchain assets. The crypto wallet will contain the specified chain and coins that an integrator desires to hold, and you can create as many wallets as needed.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the wallet
Example:
"My Wallet"
The chain of the wallet.Its required if the wallet is a crypto wallet
Available options:
ETHEREUM, BSC, CELO, AVALANCHE, POLYGON, ARBITRUM, OPTIMISM, STELLAR, TRON, FUSE, LIGHTNING, SOLANA, PROVENANCE, CARDANO, HEDERA, BASE, LISK, VICTION, SCROLL, STABLE Example:
"eg CELO or ETHEREUM or AVALANCHE or POLYGON"
⌘I